#### Description:

This function allows representations of one or more FITS binary tables to be stored in a FitsChan. For instance, these may provide the coordinate look-up tables needed subequently when reading FITS-WCS headers for axes described using the `"` -TAB`"` algorithm. Since, in general, the calling application may not know which tables will be needed - if any - prior to calling astRead, the astTablesSource function provides an alternative mechanism in which a caller-supplied function is invoked to store a named table in the FitsChan.

#### Synopsis

void astPutTables( AstFitsChan ∗this, AstKeyMap ∗tables )

#### Parameters:

##### this

Pointer to the FitsChan.

##### tables

Pointer to a KeyMap holding the tables that are to be added to the FitsChan. Each entry should hold a scalar value which is a pointer to a FitsTable to be added to the FitsChan. Any unusable entries are ignored. The key associated with each entry should be the name of the FITS binary extension from which the table was read. If a FitsTable with the associated key already exists in the FitsChan, it is replaced with the new one. A deep copy of each usable FitsTable is stored in the FitsChan, so any subsequent changes made to the FitsTables will have no effect on the behaviour of the FitsChan.

#### Notes:

- Tables stored in the FitsChan may be retrieved using astGetTables.

- The tables in the supplied KeyMap are added to any tables already in the FitsChan.

- The astPutTable method provides a simpler means of adding a single table to a FitsChan.

Copyright (C) 2021 East Asian Observatory